Printago API
POST
/v1/sku-costs
Create a new SKU cost
Request Body
- SKU cost data
RequestBody
costComponentIdrequired
string
createdAtoptional
string
format: date-time
idoptional
string
quantityoptional
number
skuIdrequired
string
storeIdoptional
string
updatedAtoptional
string
format: date-time
Example Request
application/json
{
"skuId": "string",
"costComponentId": "string",
"id": "string",
"storeId": "string",
"updatedAt": "2026-08-24T03:58:56.291Z",
"createdAt": "2026-08-24T03:58:56.291Z",
"quantity": 1
}
Response Schema
SkuCost
costComponentIdrequired
string
createdAtrequired
string
format: date-time
idrequired
string
quantityrequired
number
skuIdrequired
string
storeIdrequired
string
updatedAtrequired
string
format: date-time
Example Response
201 OK — application/json
{
"id": "string",
"skuId": "string",
"costComponentId": "string",
"quantity": 1,
"storeId": "string",
"createdAt": "2026-08-24T03:58:56.291Z",
"updatedAt": "2026-08-24T03:58:56.291Z"
}